---
- name: Add foreign architecture s390x
  ansible.builtin.shell: dpkg --add-architecture s390x
  register: script_res
  changed_when: true
  failed_when: script_res.rc != 0
  listen: "Add s390x Foreign Architecture"
- name: Apt Update
  ansible.builtin.apt:
    update_cache: yes
  listen: "Add s390x Foreign Architecture"
